#include <stdio.h>
#include <stdlib.h>
#include<iostream>
using namespace std;
int n, k, db[2000000], tmp, c=0, sol[2000000];
int main()
{

    scanf("%d%d", &n, &k);
    for(int i=0; i<n;i++){
        scanf("%d", &tmp);
        db[tmp+n]++;
        if(db[tmp+n]==k){
            sol[c]=tmp;
            c++;
        }
    }
    printf("%d\n", c);
    for(int i=0; i<c;i++)printf("%d ", sol[i]);


}